@ECHO OFF

REM BEGIN CMVC
REM *************************************************************************
REM 
REM   Workfile: %W%
REM   Last update: %E% %U%
REM   SCCS path, id: %F% %I%
REM 
REM ************************************************************************/
REM CMVC
REM COPYRIGHT
REM *************************************************************************
REM 
REM   Licensed Materials - Property of IBM
REM   WA82 SupportPac
REM   (c) Copyright IBM Corp. 2000, 2001, 2002, 2003
REM   US Government Users Restricted Rights - Use, duplication or
REM   disclosure restricted by GSA ADP Schedule Contract
REM   with IBM Corp.
REM 
REM ************************************************************************/
REM END COPYRIGHT
REM BEGIN DISCLAIMER
REM *************************************************************************
REM   DISCLAIMER
REM   ----------
REM   This material contains programming source code for your consideration.
REM   These examples have not been thoroughly tested under all conditions.
REM   IBM, therefore, cannot guarantee or imply reliability, serviceability,
REM   or function of these programs.
REM   ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
REM   WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
REM   NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
REM   FOR A PARTICULAR PURPOSE.
REM ************************************************************************/
REM END DISCLAIMER

REM ------------------------------------------------
REM -- CustomerUPES Startup Script for Triggering --
REM ------------------------------------------------
REM -- Adapt to your specific environment         --
REM ------------------------------------------------

REM Set to the directory (and drive) where the UPES is installed
REM This is necessarry if the UPES should be started through MQSeries Triggering.
REM If running on UNIX omit the WC_HOME_DRIVE setting.
REM ----------------------------------------------------------------------------

set WC_HOME_DRIVE=D:
set WC_HOME_DIR=\fmcwinnt\scenario\WebCredit\CustomerUPES


REM Set the logfile for all UPES output.
REM ------------------------------------

set WC_LOGFILE=C:\Temp\CustomerUpes.log


REM Don't change anything below this line
REM =====================================

call env.bat

%WC_HOME_DRIVE%
cd %WC_HOME_DIR%

set CP=.;%JAVA_HOME%\lib\classes.zip;%BASECLASSPATH%;%DB2_HOME%\java\db2java.zip

"%JAVA_HOME%\bin\java" -classpath "%CP%" CustomerUPES > %WC_LOGFILE% 2>&1

call envclear.bat
set WC_HOME_DRIVE=
set WC_HOME_DIR=
set WC_LOGFILE
