<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA82 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 2000, 2001, 2002, 2003                        -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                           -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%@ page language="java" info="WebCredit Request - Review Customer Data" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.api.ItemPackage.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<%@ page import="java.sql.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<%! public String getStringMember( ReadOnlyContainer input, String name )
    {
      String member = "";
      try {
        member = input.getString( name );
      }
      catch( FmcException xcpt ) { }
      return member;
    }
%>

<%
  WorkItem           workItem    = context.getWorkItem( );
  ReadOnlyContainer  input       = context.getContainer( );
  long               customerID  = 0;
  String             customerIDString = "Not yet assigned";

  try {
    customerID = input.getLong( "CustomerID" );
    customerIDString = Long.toString( customerID );
  } catch( FmcException xcpt ) { }
  try {
%>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html">
<title>Web Credit Request - Review Customer Data</title>
</head>

<body>
<table border="0" width="100%">
  <tr>
    <td valign="top"><img border="0" src="<%=context.getURL("{_HTMLDir_}/starter/images/PoweredByWebSphere.jpg" ) %>" alt="Powered by WebSphere" width="167" height="510"></td>
    <td valign="top">
      <h1>Review Customer Data</h1>
      <p>Make sure all customer data is correct and correct data as needed.</p>
      <%=context.openForm("checkInWorkItem", workItem.persistentOid())%>
        <table border="0" cellspacing="1" width="100%">
          <tr>
            <td>Customer ID</td>
            <td><%=customerIDString%></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <th colspan="4">
              <hr>
            </th>
          </tr>
          <tr>
            <th colspan="4" height="40"><font color="#008000">Credit Data</font></th>
          </tr>
          <tr>
            <td>Loan amount:</td>
            <td><%=input.getDouble("CreditAmount")%></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td>Reason for this loan:</td>
            <td colspan="3"><%=getStringMember( input, "CreditReason")%></td>
          </tr>
          <tr>
            <td colspan="4">
              <hr>
            </td>
          </tr>
          <tr>
            <th colspan="4" height="40"><font color="#008000">Customer Data</font></th>
          </tr>
          <tr>
            <td>First Name</td>
            <td><input type="text" name="CustomerData.FirstName" size="20" tabindex="4" value="<%=getStringMember( input, "CustomerData.FirstName" )%>"></td>
            <td>Zip code</td>
            <td><input type="text" name="CustomerData.Zipcode" size="20" tabindex="12" value="<%=getStringMember( input, "CustomerData.Zipcode" )%>"></td>
          </tr>
          <tr>
            <td>Middle Name</td>
            <td><input type="text" name="CustomerData.MiddleName" size="20" tabindex="5" value="<%=getStringMember( input, "CustomerData.MiddleName" )%>"></td>
            <td>Country</td>
            <td><input type="text" name="CustomerData.Country" size="20" tabindex="13" value="<%=getStringMember( input, "CustomerData.Country" )%>"></td>
          </tr>
          <tr>
            <td>Last Name</td>
            <td><input type="text" name="CustomerData.LastName" size="20" tabindex="6" value="<%=getStringMember( input, "CustomerData.LastName" )%>"></td>
            <td>E-Mail address</td>
            <td><input type="text" name="CustomerData.Email_Address" size="20" tabindex="14" value="<%=getStringMember( input, "CustomerData.Email_Address" )%>"></td>
          </tr>
          <tr>
            <td>Address&nbsp;Line&nbsp;1</td>
            <td><input type="text" name="CustomerData.Address_Line1" size="20" tabindex="7" value="<%=getStringMember( input, "CustomerData.Address_Line1" )%>"></td>
            <td>Home phone number</td>
            <td><input type="text" name="CustomerData.Phone_Home" size="20" tabindex="15" value="<%=getStringMember( input, "CustomerData.Phone_Home" )%>"></td>
          </tr>
          <tr>
            <td>Address&nbsp;Line&nbsp;2</td>
            <td><input type="text" name="CustomerData.Address_Line2" size="20" tabindex="8" value="<%=getStringMember( input, "CustomerData.Address_Line2" )%>"></td>
            <td>Home fax number</td>
            <td><input type="text" name="CustomerData.Fax_Home" size="20" tabindex="16" value="<%=getStringMember( input, "CustomerData.Fax_Home" )%>"></td>
          </tr>
          <tr>
            <td>Address Line 3</td>
            <td><input type="text" name="CustomerData.Address_Line3" size="20" tabindex="9" value="<%=getStringMember( input, "CustomerData.Address_Line3" )%>"></td>
            <td>Business phone number</td>
            <td><input type="text" name="CustomerData.Phone_Business" size="20" tabindex="17" value="<%=getStringMember( input, "CustomerData.Phone_Business" )%>"></td>
          </tr>
          <tr>
            <td>City</td>
            <td><input type="text" name="CustomerData.City" size="20" tabindex="10" value="<%=getStringMember( input, "CustomerData.City" )%>"></td>
            <td>Business fax number</td>
            <td><input type="text" name="CustomerData.Fax_Business" size="20" tabindex="18" value="<%=getStringMember( input, "CustomerData.Fax_Business" )%>"></td>
          </tr>
          <tr>
            <td>State</td>
            <td><input type="text" name="CustomerData.State" size="20" tabindex="11" value="<%=getStringMember( input, "CustomerData.State" )%>"></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
          </tr>
        </table>

	<input type="hidden" name="CustomerID" value="<%=customerID%>">
        <input type="submit" name="submitData" value="Complete Work Item">
        <input type="button" name="cancel" value="Cancel" onClick="javascript:location.replace('<%=context.getCommand("cancelWorkItem", workItem.persistentOid())%>')">
      </form>
    </td>
  </tr>
</table>

<% } // try
   catch( Exception xcpt ) { out.print( xcpt.toString( ) ); };
%>

</body>

</html>
